//Source file: AssignSagToServiceProfileConflict.java
//Date: September 2004
//Framework Data Types for 3GPP TS 29.198-03 V5.8.0

package org.csapi.jr.se.fw;

/**
 * This data type is a Sequence of Data Elements which describes a conflict that may occur when a SAG is assigned to a Service Profile - see method assign(). 
The AlreadyAssignedSagProfilePair describes the SAG and the service profile through which the client application is already assigned to the service.
 * 
 */
public final class AssignSagToServiceProfileConflict implements java.io.Serializable {

    private String clientApplication;
    private org.csapi.jr.se.fw.SagProfilePair alreadyAssignedSagProfilePair;
    private String service;

    /**
     * Creates a new AssignSagToServiceProfileConflict instance.
     */
    public AssignSagToServiceProfileConflict () {}

    /**
     * Creates a new AssignSagToServiceProfileConflict instance.
     * @param _clientApplication   
     * @param _alreadyAssignedSagProfilePair   
     * @param _service   
     */
    public AssignSagToServiceProfileConflict (String _clientApplication, org.csapi.jr.se.fw.SagProfilePair _alreadyAssignedSagProfilePair, String _service) {

        this.clientApplication = _clientApplication;
        this.alreadyAssignedSagProfilePair = _alreadyAssignedSagProfilePair;
        this.service = _service;
    }

    /**
     * This method returns a clientApplication.
     * 
     * @return a String value
     */
    public String getClientApplication() {
        return clientApplication;
    }

    /**
     * This method returns a alreadyAssignedSagProfilePair.
     * 
     * @return a org.csapi.jr.se.fw.SagProfilePair value
     */
    public org.csapi.jr.se.fw.SagProfilePair getAlreadyAssignedSagProfilePair() {
        return alreadyAssignedSagProfilePair;
    }

    /**
     * This method returns a service.
     * 
     * @return a String value
     */
    public String getService() {
        return service;
    }


    /**
     * This method sets a clientApplication.
     */ 
    public void setClientApplication(String clientApplication) {
        this.clientApplication = clientApplication;
    }

    /**
     * This method sets a alreadyAssignedSagProfilePair.
     */ 
    public void setAlreadyAssignedSagProfilePair(org.csapi.jr.se.fw.SagProfilePair alreadyAssignedSagProfilePair) {
        this.alreadyAssignedSagProfilePair = alreadyAssignedSagProfilePair;
    }

    /**
     * This method sets a service.
     */ 
    public void setService(String service) {
        this.service = service;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof AssignSagToServiceProfileConflict)) {
            return false;
        } 
        AssignSagToServiceProfileConflict assignSagToServiceProfileConflict = (AssignSagToServiceProfileConflict) o;
        if(!(this.clientApplication == assignSagToServiceProfileConflict.clientApplication))  {
            return false;
        }
        if ((this.alreadyAssignedSagProfilePair != null) && (assignSagToServiceProfileConflict.alreadyAssignedSagProfilePair != null)) {
            if(!(this.alreadyAssignedSagProfilePair.equals(assignSagToServiceProfileConflict.alreadyAssignedSagProfilePair))) {
                return false;
            }
        }
        if(!(this.service == assignSagToServiceProfileConflict.service))  {
            return false;
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // AssignSagToServiceProfileConflict

