//Source file: DomainID.java
//Date: September 2004
//Framework Data Types for 3GPP TS 29.198-03 V5.8.0

package org.csapi.jr.se.fw;

/**
 * Defines the Tagged Choice of Data Elements that specify either the Framework or the type of entity attempting to access the Framework.
NOTE:	The Choice Element Name ServiceID of TpDomainID refers to a service instance.
 *
 */
public final class DomainID implements java.io.Serializable {

    private DomainIDType _discriminator = null;
    private java.lang.Object _object;

    /**
     * Creates a new DomainID.
     * Tagged choice of data elements always have empty constructors
     */ 
    public DomainID() {}

    /**
     * This method returns the discriminator.
     * 
     * @return a DomainIDType value 
     * @exception InvalidUnionAccessorException if an error occurs 
     */ 
    public DomainIDType getDiscriminator() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator == null) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return _discriminator;
    }

    /**
     * This method returns a FwID
     * 
     * @return  a java.lang.String value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public java.lang.String getFwID() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != DomainIDType.FW) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return (((java.lang.String) _object));
    }

    /**
     * This method sets a FwID
     * 
     * @param value a java.lang.String value
     */
    public void setFwID(java.lang.String value) {
        _discriminator = DomainIDType.FW;
        _object = value;
    }

    /**
     * This method returns a ClientAppID
     * 
     * @return  a java.lang.String value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public java.lang.String getClientAppID() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != DomainIDType.CLIENT_APPLICATION) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return (((java.lang.String) _object));
    }

    /**
     * This method sets a ClientAppID
     * 
     * @param value a java.lang.String value
     */
    public void setClientAppID(java.lang.String value) {
        _discriminator = DomainIDType.CLIENT_APPLICATION;
        _object = value;
    }

    /**
     * This method returns a EntOpID
     * 
     * @return  a java.lang.String value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public java.lang.String getEntOpID() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != DomainIDType.ENT_OP) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return (((java.lang.String) _object));
    }

    /**
     * This method sets a EntOpID
     * 
     * @param value a java.lang.String value
     */
    public void setEntOpID(java.lang.String value) {
        _discriminator = DomainIDType.ENT_OP;
        _object = value;
    }

    /**
     * This method returns a ServiceID
     * 
     * @return  a java.lang.String value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public java.lang.String getServiceID() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != DomainIDType.SERVICE_INSTANCE) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return (((java.lang.String) _object));
    }

    /**
     * This method sets a ServiceID
     * 
     * @param value a java.lang.String value
     */
    public void setServiceID(java.lang.String value) {
        _discriminator = DomainIDType.SERVICE_INSTANCE;
        _object = value;
    }

    /**
     * This method returns a ServiceSupplierID
     * 
     * @return  a java.lang.String value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public java.lang.String getServiceSupplierID() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != DomainIDType.SERVICE_SUPPLIER) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return (((java.lang.String) _object));
    }

    /**
     * This method sets a ServiceSupplierID
     * 
     * @param value a java.lang.String value
     */
    public void setServiceSupplierID(java.lang.String value) {
        _discriminator = DomainIDType.SERVICE_SUPPLIER;
        _object = value;
    }


    /**
     * This method will receive the discriminator as a parameter and will set _object to null
     * 
     * @param discriminator a DomainIDType value 
     */ 
    public void setUndefined(DomainIDType discriminator) {
        _discriminator = discriminator;
        _object = null;
    }

    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) {
            return false;
        }
        if(!(o instanceof DomainID)) {
            return false;
        } else {
            DomainID domainID= (DomainID)o;
            if(!(this._object.equals(domainID._object))){
                return false;
            } else {
                if(!(this._discriminator.equals(domainID._discriminator))){
                    return false;
                }
            }
            if (this.hashCode() != o.hashCode()) {
                return false;
            }
            return true;
        }
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // DomainID

