//Source file: FWExceptionType.java
//Date: September 2004
//Framework Data Types for 3GPP TS 29.198-03 V5.8.0

package org.csapi.jr.se.fw;

/**
 * Framw work exeption type
 *
 */
public final class FWExceptionType implements java.io.Serializable {

    private int _value;
    private static int _size = 1;
    private static FWExceptionType[] _array = new FWExceptionType[_size];

    /**
     * Private constructor used internally to construct static objects 
     */
    private FWExceptionType(int value) {
        _value = value;
        _array[_value] = this;
    }

    /**
     * 
     */
    public static final int _FW_DUMMY =  0;

    /**
     * 
     */
    public static final FWExceptionType FW_DUMMY = new FWExceptionType(_FW_DUMMY);


    /**
     * Method allows class to replace/resolve the object read from the stream before it 
     * is returned to the caller. By implementing this method, a class can directly control
     * the types and instances of its own instances being deserialized.
     *
     * @return the resolved FWExceptionType object 
     */
    private Object readResolve() throws java.io.ObjectStreamException {
        return _array[_value];
    }

    /**
     * Number representing enum type
     *
     * @return int number representing type of object, this is defined within the class
     */
    public int getValue() {
        return _value;
    }

    /**
     * getValueText method, overrides the getValueText() method in class java.lang.Object
     *
     * @return String  The stringified version of the FWExceptionType object
     */
    public String getValueText() {
        switch (_value) {
            case _FW_DUMMY:
                return "FW_DUMMY";
            default:
                return "ERROR";
        }
    }

    /**
     * Accepts values in the range of 0 to 0
     *
     * @param value number representing type of object, this is defined within the class
     * @throws org.csapi.jr.se.InvalidEnumValueException thrown if invalid value is passed into method
     */
    public static FWExceptionType getObject(int value) throws org.csapi.jr.se.InvalidEnumValueException {
        if(value >= 0 && value < _size) {
            return _array[value];
        } else {
            throw new org.csapi.jr.se.InvalidEnumValueException("value [" + value +" ] out of range");
        }
    }

    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof FWExceptionType)) {
            return false;
        }
        FWExceptionType fWExceptionType = (FWExceptionType) o; 
        if(!(this.getValue() == fWExceptionType.getValue())) {
            return false;
        }
        if (this.hashCode() != fWExceptionType.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // FWExceptionType

