//Source file: InvalidSagToServiceProfileAssignmentException.java
//Date: September 2004
//Framework Data Types for 3GPP TS 29.198-03 V5.8.0

package org.csapi.jr.se.fw;

/**
 * A SAG cannot be assigned to the service profile because this would imply that a client application has two concurrent service profiles at a particular moment in time for a particular service.
 *
 */
public class InvalidSagToServiceProfileAssignmentException extends org.csapi.jr.se.fw.FrameworkException {

    private Throwable _cause = null;

    public InvalidSagToServiceProfileAssignmentException() {
        super(); 
    }

    public InvalidSagToServiceProfileAssignmentException(String message) {
        super(message); 
    }

    public InvalidSagToServiceProfileAssignmentException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidSagToServiceProfileAssignmentException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidSagToServiceProfileAssignmentException

