//Source file: LoadStatistic.java
//Date: September 2004
//Framework Data Types for 3GPP TS 29.198-03 V5.8.0

package org.csapi.jr.se.fw;

/**
 * Defines the Sequence of Data Elements that represents a load statistic record for a specific entity (that is Framework, service or application) at a specific date and time.
 * 
 */
public final class LoadStatistic implements java.io.Serializable {

    private org.csapi.jr.se.fw.LoadStatisticEntityID loadStatisticEntityID;
    private String timeStamp;
    private org.csapi.jr.se.fw.LoadStatisticInfo loadStatisticInfo;

    /**
     * Creates a new LoadStatistic instance.
     */
    public LoadStatistic () {}

    /**
     * Creates a new LoadStatistic instance.
     * @param _loadStatisticEntityID   
     * @param _timeStamp   
     * @param _loadStatisticInfo   
     */
    public LoadStatistic (org.csapi.jr.se.fw.LoadStatisticEntityID _loadStatisticEntityID, String _timeStamp, org.csapi.jr.se.fw.LoadStatisticInfo _loadStatisticInfo) {

        this.loadStatisticEntityID = _loadStatisticEntityID;
        this.timeStamp = _timeStamp;
        this.loadStatisticInfo = _loadStatisticInfo;
    }

    /**
     * This method returns a loadStatisticEntityID.
     * 
     * @return a org.csapi.jr.se.fw.LoadStatisticEntityID value
     */
    public org.csapi.jr.se.fw.LoadStatisticEntityID getLoadStatisticEntityID() {
        return loadStatisticEntityID;
    }

    /**
     * This method returns a timeStamp.
     * 
     * @return a String value
     */
    public String getTimeStamp() {
        return timeStamp;
    }

    /**
     * This method returns a loadStatisticInfo.
     * 
     * @return a org.csapi.jr.se.fw.LoadStatisticInfo value
     */
    public org.csapi.jr.se.fw.LoadStatisticInfo getLoadStatisticInfo() {
        return loadStatisticInfo;
    }


    /**
     * This method sets a loadStatisticEntityID.
     */ 
    public void setLoadStatisticEntityID(org.csapi.jr.se.fw.LoadStatisticEntityID loadStatisticEntityID) {
        this.loadStatisticEntityID = loadStatisticEntityID;
    }

    /**
     * This method sets a timeStamp.
     */ 
    public void setTimeStamp(String timeStamp) {
        this.timeStamp = timeStamp;
    }

    /**
     * This method sets a loadStatisticInfo.
     */ 
    public void setLoadStatisticInfo(org.csapi.jr.se.fw.LoadStatisticInfo loadStatisticInfo) {
        this.loadStatisticInfo = loadStatisticInfo;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof LoadStatistic)) {
            return false;
        } 
        LoadStatistic loadStatistic = (LoadStatistic) o;
        if(!(this.timeStamp == loadStatistic.timeStamp))  {
            return false;
        }
        if ((this.loadStatisticEntityID != null) && (loadStatistic.loadStatisticEntityID != null)) {
            if(!(this.loadStatisticEntityID.equals(loadStatistic.loadStatisticEntityID))) {
                return false;
            }
        }
        if ((this.loadStatisticInfo != null) && (loadStatistic.loadStatisticInfo != null)) {
            if(!(this.loadStatisticInfo.equals(loadStatistic.loadStatisticInfo))) {
                return false;
            }
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // LoadStatistic

