//Source file: LoadThreshold.java
//Date: September 2004
//Framework Data Types for 3GPP TS 29.198-03 V5.8.0

package org.csapi.jr.se.fw;

/**
 * Defines the Sequence of Data Elements that specify the load threshold value. The actual load threshold value is application and SCF dependent, so is their relationship with load level.
 * 
 */
public final class LoadThreshold implements java.io.Serializable {

    private float loadThreshold;

    /**
     * Creates a new LoadThreshold instance.
     */
    public LoadThreshold () {}

    /**
     * Creates a new LoadThreshold instance.
     * @param _loadThreshold   
     */
    public LoadThreshold (float _loadThreshold) {

        this.loadThreshold = _loadThreshold;
    }

    /**
     * This method returns a loadThreshold.
     * 
     * @return a float value
     */
    public float getLoadThreshold() {
        return loadThreshold;
    }


    /**
     * This method sets a loadThreshold.
     */ 
    public void setLoadThreshold(float loadThreshold) {
        this.loadThreshold = loadThreshold;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof LoadThreshold)) {
            return false;
        } 
        LoadThreshold loadThreshold = (LoadThreshold) o;
        if(!(this.loadThreshold == loadThreshold.loadThreshold)) {
            return false;
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // LoadThreshold

