//Source file: NoAcceptableAuthenticationMechanismException.java
//Date: September 2004
//Framework Data Types for 3GPP TS 29.198-03 V5.8.0

package org.csapi.jr.se.fw;

/**
 * No authentication mechanism, which is acceptable to the framework, is supported by the client 
 *
 */
public class NoAcceptableAuthenticationMechanismException extends org.csapi.jr.se.fw.FrameworkException {

    private Throwable _cause = null;

    public NoAcceptableAuthenticationMechanismException() {
        super(); 
    }

    public NoAcceptableAuthenticationMechanismException(String message) {
        super(message); 
    }

    public NoAcceptableAuthenticationMechanismException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public NoAcceptableAuthenticationMechanismException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // NoAcceptableAuthenticationMechanismException

