//Source file: NoAcceptableSigningAlgorithmException.java
//Date: September 2004
//Framework Data Types for 3GPP TS 29.198-03 V5.8.0

package org.csapi.jr.se.fw;

/**
 * No signing algorithm, which is acceptable to the framework, is supported by the client 
 *
 */
public class NoAcceptableSigningAlgorithmException extends org.csapi.jr.se.fw.FrameworkException {

    private Throwable _cause = null;

    public NoAcceptableSigningAlgorithmException() {
        super(); 
    }

    public NoAcceptableSigningAlgorithmException(String message) {
        super(message); 
    }

    public NoAcceptableSigningAlgorithmException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public NoAcceptableSigningAlgorithmException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // NoAcceptableSigningAlgorithmException

