//Source file: Person.java
//Date: September 2004
//Framework Data Types for 3GPP TS 29.198-03 V5.8.0

package org.csapi.jr.se.fw;

/**
 * This data type is a Sequence of Data Elements which describes a generic 'person': for example a billing contact, a service requestor.
 * 
 */
public final class Person implements java.io.Serializable {

    private String personName;
    private String postalAddress;
    private String telephoneNumber;
    private String email;
    private String homePage;
    private org.csapi.jr.se.fw.Property[] personProperties;

    /**
     * Creates a new Person instance.
     */
    public Person () {}

    /**
     * Creates a new Person instance.
     * @param _personName   
     * @param _postalAddress   
     * @param _telephoneNumber   
     * @param _email   
     * @param _homePage   
     * @param _personProperties   
     */
    public Person (String _personName, String _postalAddress, String _telephoneNumber, String _email, String _homePage, org.csapi.jr.se.fw.Property[] _personProperties) {

        this.personName = _personName;
        this.postalAddress = _postalAddress;
        this.telephoneNumber = _telephoneNumber;
        this.email = _email;
        this.homePage = _homePage;
        this.personProperties = _personProperties;
    }

    /**
     * This method returns a personName.
     * 
     * @return a String value
     */
    public String getPersonName() {
        return personName;
    }

    /**
     * This method returns a postalAddress.
     * 
     * @return a String value
     */
    public String getPostalAddress() {
        return postalAddress;
    }

    /**
     * This method returns a telephoneNumber.
     * 
     * @return a String value
     */
    public String getTelephoneNumber() {
        return telephoneNumber;
    }

    /**
     * This method returns a email.
     * 
     * @return a String value
     */
    public String getEmail() {
        return email;
    }

    /**
     * This method returns a homePage.
     * 
     * @return a String value
     */
    public String getHomePage() {
        return homePage;
    }

    /**
     * This method returns a personProperties.
     * 
     * @return a org.csapi.jr.se.fw.Property[] value
     */
    public org.csapi.jr.se.fw.Property[] getPersonProperties() {
        return personProperties;
    }


    /**
     * This method sets a personName.
     */ 
    public void setPersonName(String personName) {
        this.personName = personName;
    }

    /**
     * This method sets a postalAddress.
     */ 
    public void setPostalAddress(String postalAddress) {
        this.postalAddress = postalAddress;
    }

    /**
     * This method sets a telephoneNumber.
     */ 
    public void setTelephoneNumber(String telephoneNumber) {
        this.telephoneNumber = telephoneNumber;
    }

    /**
     * This method sets a email.
     */ 
    public void setEmail(String email) {
        this.email = email;
    }

    /**
     * This method sets a homePage.
     */ 
    public void setHomePage(String homePage) {
        this.homePage = homePage;
    }

    /**
     * This method sets a personProperties.
     */ 
    public void setPersonProperties(org.csapi.jr.se.fw.Property[] personProperties) {
        this.personProperties = personProperties;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof Person)) {
            return false;
        } 
        Person person = (Person) o;
        if(!(this.personName == person.personName))  {
            return false;
        }
        if(!(this.postalAddress == person.postalAddress))  {
            return false;
        }
        if(!(this.telephoneNumber == person.telephoneNumber))  {
            return false;
        }
        if(!(this.email == person.email))  {
            return false;
        }
        if(!(this.homePage == person.homePage))  {
            return false;
        }
        if(!(this.personProperties == person.personProperties))  {
            return false;
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // Person

