//Source file: Sag.java
//Date: September 2004
//Framework Data Types for 3GPP TS 29.198-03 V5.8.0

package org.csapi.jr.se.fw;

/**
 * This data type is a Sequence of Data Elements which describes a Subscription Assignment Group (SAG) of client applications within an enterprise. It is a structured data type consisting of a unique SAG ID and a description: 
 * 
 */
public final class Sag implements java.io.Serializable {

    private String sagID;
    private String sagDescription;

    /**
     * Creates a new Sag instance.
     */
    public Sag () {}

    /**
     * Creates a new Sag instance.
     * @param _sagID   
     * @param _sagDescription   
     */
    public Sag (String _sagID, String _sagDescription) {

        this.sagID = _sagID;
        this.sagDescription = _sagDescription;
    }

    /**
     * This method returns a sagID.
     * 
     * @return a String value
     */
    public String getSagID() {
        return sagID;
    }

    /**
     * This method returns a sagDescription.
     * 
     * @return a String value
     */
    public String getSagDescription() {
        return sagDescription;
    }


    /**
     * This method sets a sagID.
     */ 
    public void setSagID(String sagID) {
        this.sagID = sagID;
    }

    /**
     * This method sets a sagDescription.
     */ 
    public void setSagDescription(String sagDescription) {
        this.sagDescription = sagDescription;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof Sag)) {
            return false;
        } 
        Sag sag = (Sag) o;
        if(!(this.sagID == sag.sagID))  {
            return false;
        }
        if(!(this.sagDescription == sag.sagDescription))  {
            return false;
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // Sag

