//Source file: SagProfilePair.java
//Date: September 2004
//Framework Data Types for 3GPP TS 29.198-03 V5.8.0

package org.csapi.jr.se.fw;

/**
 * This data type is a Sequence of Data Elements which describes a pair of a SAG and a Service Profile. It is a structured data type which consists of Sag and ServiceProfile.
 * 
 */
public final class SagProfilePair implements java.io.Serializable {

    private String sag;
    private String serviceProfile;

    /**
     * Creates a new SagProfilePair instance.
     */
    public SagProfilePair () {}

    /**
     * Creates a new SagProfilePair instance.
     * @param _sag   
     * @param _serviceProfile   
     */
    public SagProfilePair (String _sag, String _serviceProfile) {

        this.sag = _sag;
        this.serviceProfile = _serviceProfile;
    }

    /**
     * This method returns a sag.
     * 
     * @return a String value
     */
    public String getSag() {
        return sag;
    }

    /**
     * This method returns a serviceProfile.
     * 
     * @return a String value
     */
    public String getServiceProfile() {
        return serviceProfile;
    }


    /**
     * This method sets a sag.
     */ 
    public void setSag(String sag) {
        this.sag = sag;
    }

    /**
     * This method sets a serviceProfile.
     */ 
    public void setServiceProfile(String serviceProfile) {
        this.serviceProfile = serviceProfile;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof SagProfilePair)) {
            return false;
        } 
        SagProfilePair sagProfilePair = (SagProfilePair) o;
        if(!(this.sag == sagProfilePair.sag))  {
            return false;
        }
        if(!(this.serviceProfile == sagProfilePair.serviceProfile))  {
            return false;
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // SagProfilePair

