//Source file: ServiceContract.java
//Date: September 2004
//Framework Data Types for 3GPP TS 29.198-03 V5.8.0

package org.csapi.jr.se.fw;

/**
 * This data type is a Sequence of Data Elements which represents a service contract. It is a structured data type which consists of ServiceContractID and ServiceContractDescription.
 * 
 */
public final class ServiceContract implements java.io.Serializable {

    private String serviceContractID;
    private org.csapi.jr.se.fw.ServiceContractDescription serviceContractDescription;

    /**
     * Creates a new ServiceContract instance.
     */
    public ServiceContract () {}

    /**
     * Creates a new ServiceContract instance.
     * @param _serviceContractID   
     * @param _serviceContractDescription   
     */
    public ServiceContract (String _serviceContractID, org.csapi.jr.se.fw.ServiceContractDescription _serviceContractDescription) {

        this.serviceContractID = _serviceContractID;
        this.serviceContractDescription = _serviceContractDescription;
    }

    /**
     * This method returns a serviceContractID.
     * 
     * @return a String value
     */
    public String getServiceContractID() {
        return serviceContractID;
    }

    /**
     * This method returns a serviceContractDescription.
     * 
     * @return a org.csapi.jr.se.fw.ServiceContractDescription value
     */
    public org.csapi.jr.se.fw.ServiceContractDescription getServiceContractDescription() {
        return serviceContractDescription;
    }


    /**
     * This method sets a serviceContractID.
     */ 
    public void setServiceContractID(String serviceContractID) {
        this.serviceContractID = serviceContractID;
    }

    /**
     * This method sets a serviceContractDescription.
     */ 
    public void setServiceContractDescription(org.csapi.jr.se.fw.ServiceContractDescription serviceContractDescription) {
        this.serviceContractDescription = serviceContractDescription;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof ServiceContract)) {
            return false;
        } 
        ServiceContract serviceContract = (ServiceContract) o;
        if(!(this.serviceContractID == serviceContract.serviceContractID))  {
            return false;
        }
        if ((this.serviceContractDescription != null) && (serviceContract.serviceContractDescription != null)) {
            if(!(this.serviceContractDescription.equals(serviceContract.serviceContractDescription))) {
                return false;
            }
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // ServiceContract

