//Source file: FwHeartBeat.java
//Date: September 2004
//Framework to Service Interfaces for 3GPP TS 29.198-03 V5.8.0

package org.csapi.jr.se.fw.fw_service.integrity;

/**
 *  The service side framework heartbeat interface is used by the service instance to send the framework its heartbeat.  If a Framework is capable of invoking IpSvcHeartBeatMgmt.enableHeartBeat(), it shall implement IpFwHeartBeat and the pulse() method.
 *
 */
public interface FwHeartBeat extends org.csapi.jr.se.CsapiInterface{

    /**
     * The service instance uses this method to send its heartbeat to the framework. The framework will be expecting a pulse at the end of every interval specified in the parameter to the IpSvcHeartBeatMgmt.enableSvcHeartbeat() method.  If the pulse() is not received within the specified interval, then the service instance can be deemed to have failed the heartbeat.
     * @exception org.csapi.jr.se.CommonException     Defines the structure of the exception class which is applicable to all methods.
     * @exception org.csapi.jr.se.PlatformException     The implementation detected an internal (for example, communication) error
     */
    void  pulse() throws org.csapi.jr.se.CommonException, org.csapi.jr.se.PlatformException;


} // FwHeartBeat

